<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta charset="UTF-8" />
<title>NASM - The Netwide Assembler</title>
<link href="nasmdoc.css" rel="stylesheet" type="text/css" />
<link href="local.css" rel="stylesheet" type="text/css" />
</head>
<body>
<ul class="navbar">
<li class="first"><a class="prev" href="nasmdocd.html">Appendix D</a></li>
<li><a class="next" href="nasmdocf.html">Appendix F</a></li>
<li><a class="toc" href="nasmdoc0.html">Contents</a></li>
<li class="last"><a class="index" href="nasmdoci.html">Index</a></li>
</ul>
<div class="title">
<h1>NASM - The Netwide Assembler</h1>
<span class="subtitle">version 2.16.03</span>
</div>
<div class="contents"
>
<h2 id="appendix-E">Appendix E: Contact Information</h2>
<h3 id="section-E.1">E.1 Website</h3>
<p>NASM has a website at
<a href="http://www.nasm.us/"><code>http://www.nasm.us/</code></a>.</p>
<p>New releases, release candidates, and daily development snapshots of
NASM are available from the official web site in source form as well as
binaries for a number of common platforms.</p>
<h4 id="section-E.1.1">E.1.1 User Forums</h4>
<p>Users of NASM may find the Forums on the website useful. These are,
however, not frequented much by the developers of NASM, so they are not
suitable for reporting bugs.</p>
<h4 id="section-E.1.2">E.1.2 Development Community</h4>
<p>The development of NASM is coordinated primarily though the
<code>nasm-devel</code> mailing list. If you wish to participate in
development of NASM, please join this mailing list. Subscription links and
archives of past posts are available on the website.</p>
<h3 id="section-E.2">E.2 Reporting Bugs</h3>
<p>To report bugs in NASM, please use the bug tracker at
<a href="http://www.nasm.us/"><code>http://www.nasm.us/</code></a> (click
on "Bug Tracker"), or if that fails then through one of the contacts in
<a href="#section-E.1">section E.1</a>.</p>
<p>Please read <a href="nasmdoc2.html#section-2.2">section 2.2</a> first,
and don't report the bug if it's listed in there as a deliberate feature.
(If you think the feature is badly thought out, feel free to send us
reasons why you think it should be changed, but don't just send us mail
saying `This is a bug' if the documentation says we did it on purpose.)
Then read <a href="nasmdo13.html#section-13.1">section 13.1</a>, and don't
bother reporting the bug if it's listed there.</p>
<p>If you do report a bug, <em>please</em> make sure your bug report
includes the following information:</p>
<ul>
<li>
<p>What operating system you're running NASM under. Linux, FreeBSD, NetBSD,
MacOS X, Win16, Win32, Win64, MS-DOS, OS/2, VMS, whatever.</p>
</li>
<li>
<p>If you compiled your own executable from a source archive, compiled your
own executable from <code>git</code>, used the standard distribution
binaries from the website, or got an executable from somewhere else (e.g. a
Linux distribution.) If you were using a locally built executable, try to
reproduce the problem using one of the standard binaries, as this will make
it easier for us to reproduce your problem prior to fixing it.</p>
</li>
<li>
<p>Which version of NASM you're using, and exactly how you invoked it. Give
us the precise command line, and the contents of the <code>NASMENV</code>
environment variable if any.</p>
</li>
<li>
<p>Which versions of any supplementary programs you're using, and how you
invoked them. If the problem only becomes visible at link time, tell us
what linker you're using, what version of it you've got, and the exact
linker command line. If the problem involves linking against object files
generated by a compiler, tell us what compiler, what version, and what
command line or options you used. (If you're compiling in an IDE, please
try to reproduce the problem with the command-line version of the
compiler.)</p>
</li>
<li>
<p>If at all possible, send us a NASM source file which exhibits the
problem. If this causes copyright problems (e.g. you can only reproduce the
bug in restricted-distribution code) then bear in mind the following two
points: firstly, we guarantee that any source code sent to us for the
purposes of debugging NASM will be used <em>only</em> for the purposes of
debugging NASM, and that we will delete all our copies of it as soon as we
have found and fixed the bug or bugs in question; and secondly, we would
prefer <em>not</em> to be mailed large chunks of code anyway. The smaller
the file, the better. A three-line sample file that does nothing useful
<em>except</em> demonstrate the problem is much easier to work with than a
fully fledged ten-thousand-line program. (Of course, some errors
<em>do</em> only crop up in large files, so this may not be possible.)</p>
</li>
<li>
<p>A description of what the problem actually <em>is</em>. `It doesn't
work' is <em>not</em> a helpful description! Please describe exactly what
is happening that shouldn't be, or what isn't happening that should.
Examples might be: `NASM generates an error message saying Line 3 for an
error that's actually on Line 5'; `NASM generates an error message that I
believe it shouldn't be generating at all'; `NASM fails to generate an
error message that I believe it <em>should</em> be generating'; `the object
file produced from this source code crashes my linker'; `the ninth byte of
the output file is 66 and I think it should be 77 instead'.</p>
</li>
<li>
<p>If you believe the output file from NASM to be faulty, send it to us.
That allows us to determine whether our own copy of NASM generates the same
file, or whether the problem is related to portability issues between our
development platforms and yours. We can handle binary files mailed to us as
MIME attachments, uuencoded, and even BinHex. Alternatively, we may be able
to provide an FTP site you can upload the suspect files to; but mailing
them is easier for us.</p>
</li>
<li>
<p>Any other information or data files that might be helpful. If, for
example, the problem involves NASM failing to generate an object file while
TASM can generate an equivalent file without trouble, then send us
<em>both</em> object files, so we can see what TASM is doing differently
from us.</p>
</li>
</ul>
</div>
</body>
</html>
